#! /bin/bash

#
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved.
#

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

# the act-as4610_54 platform has a POE and non-POE version
# we only start poed if the platform supports POE
if [ "$(cat /sys/bus/i2c/devices/0-0030/poe_support)" == "1" ] ; then

    [ -r /lib/systemd/system/poed.service ] || {

        [ -r /usr/share/cumulus-platform/common/poed.service ] || {
            log_failure_msg "/usr/share/cumulus-platform/common/poed.service not found."
            exit 1
        }
        cp /usr/share/cumulus-platform/common/poed.service /lib/systemd/system/
        systemctl -q enable poed.service
        systemctl -q --no-block start poed.service
    }

fi
exit 0
