#! /usr/bin/python
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved

#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import exceptions
    import binascii
    import time
    import optparse
    import warnings
    import os
    import sys
    import subprocess
    import tempfile
    import struct
    import eeprom_base
    import eeprom_tlvinfo
    import eeprom_sysfs
except ImportError, e:
    raise ImportError (str(e) + "- required module not found")

#
# base board
#
class board(eeprom_tlvinfo.TlvInfoDecoder):

    EEPROM_MAX_SIZE = 0x100
    EEPROM_OFFSET = 0x0

    def __init__(self, name, path, cpld_root, ro):
        super(board, self).__init__(path,
                                    self.EEPROM_OFFSET,
                                    "",
                                    ro,
                                    self.EEPROM_MAX_SIZE)

class psu(eeprom_sysfs.SysFsDecoder):
    pass

class fan(eeprom_sysfs.SysFsDecoder):
    pass

eeprom_sysfs_map = {
   # name   : [class_name, path] 
    'psu1'  : ['psu', '/sys/devices/platform/dell_z9100_smf.0/'],
    'psu2'  : ['psu', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan1'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan2'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan3'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan4'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan5'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan6'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan7'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan8'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan9'  : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
    'fan10' : ['fan', '/sys/devices/platform/dell_z9100_smf.0/'],
}
        
